: Class JsseListener

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mortbay.HTTP
Class JsseListener

    java.lang.Object
      |
      +--com.mortbay.Util.ThreadedServer
            |
            +--com.mortbay.HTTP.HttpListener
                  |
                  +--com.mortbay.HTTP.JsseListener

Direct Known Subclasses:
  SunJsseListener

public abstract class JsseListener
extends HttpListener

JSSE Socket Listener. This specialization of HttpListener is an abstract listener that can be used as the basis for a specific JSSE listener. This is heavily based on the work from Court Demas, which in turn is based on the work from Forge Research.

Version:
  $Id: JsseListener.java,v 1.3 2000/08/17 22:04:58 gregwilkins Exp $
Author:
  Greg Wilkins (gregw@mortbay.com), Court Demas (court@kiwiconsulting.com), Forge Research Pty Ltd ACN 003 491 576

Field Summary
`static java.lang.String` | `DEFAULT_KEYSTORE`
`static java.lang.String` | `KEYPASSWORD_PROPERTY`
`static java.lang.String` | `KEYSTORE_PROPERTY`
`static java.lang.String` | `PASSWORD_PROPERTY`

Fields inherited from class com.mortbay.HTTP.HttpListener
`ConstructArgs, frameDebug`

Constructor Summary
`JsseListener(InetAddrPort p_address, HttpServer p_server)` Constructor.
`JsseListener(InetAddrPort p_address, HttpServer p_server, int p_minThreads, int p_maxThreads, int p_maxIdleTimeMs)` Constructor.

Method Summary
`protected java.net.Socket` | `accept(java.net.ServerSocket p_serverSocket)` Accept socket connection.
`protected abstract javax.net.ssl.SSLServerSocketFactory` | `createFactory()`
`protected void` | `customiseRequest(java.net.Socket connection, HttpRequest request)` Allow the Listener a chance to customise the request before the server does its stuff.
`protected java.net.ServerSocket` | `newServerSocket(InetAddrPort p_address, int p_acceptQueueSize)` New server socket.

Methods inherited from class com.mortbay.HTTP.HttpListener
`getAddress, handleConnection, start`

Methods inherited from class com.mortbay.Util.ThreadedServer
`address, getInetAddress, getInetAddrPort, getMaxIdleTimeMs, getMaxSize, getMinSize, getPort, getSize, handleConnection, join, port, run, setAddress, setAddress, setThreadClass, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KEYSTORE_PROPERTY

    public static final java.lang.String KEYSTORE_PROPERTY

### DEFAULT_KEYSTORE

    public static final java.lang.String DEFAULT_KEYSTORE

### PASSWORD_PROPERTY

    public static final java.lang.String PASSWORD_PROPERTY

### KEYPASSWORD_PROPERTY

    public static final java.lang.String KEYPASSWORD_PROPERTY

Constructor Detail

### JsseListener

    public JsseListener(InetAddrPort p_address,
                        HttpServer p_server)
                 throws java.io.IOException

  Constructor.
  Parameters:
    `p_address` -
    `p_server` -
  Throws:
    java.io.IOException -

### JsseListener

    public JsseListener(InetAddrPort p_address,
                        HttpServer p_server,
                        int p_minThreads,
                        int p_maxThreads,
                        int p_maxIdleTimeMs)
                 throws java.io.IOException

  Constructor.
  Parameters:
    `p_address` -
    `p_server` -
    `p_minThreads` -
    `p_maxThreads` -
    `p_maxIdleTimeMs` -
  Throws:
    java.io.IOException -

Method Detail

### createFactory

    protected abstract javax.net.ssl.SSLServerSocketFactory createFactory()
                                                                   throws java.lang.Exception

### newServerSocket

    protected java.net.ServerSocket newServerSocket(InetAddrPort p_address,
                                                    int p_acceptQueueSize)
                                             throws java.io.IOException

  Description copied from class: ThreadedServer
  New server socket. Creates a new servers socket. May be overriden by derived class to create specialist serversockets (eg SSL).
  Overrides:
    newServerSocket in class ThreadedServer
  Parameters:
    `p_address` -
    `p_acceptQueueSize` -
  Returns:
  Throws:
    java.io.IOException -

### customiseRequest

    protected void customiseRequest(java.net.Socket connection,
                                    HttpRequest request)

  Allow the Listener a chance to customise the request before the server does its stuff.
  This allows extra attributes to be set for SSL connections.
  Overrides:
    customiseRequest in class HttpListener

### accept

    protected java.net.Socket accept(java.net.ServerSocket p_serverSocket)
                              throws java.io.IOException

  Description copied from class: ThreadedServer
  Accept socket connection. May be overriden by derived class to create specialist serversockets (eg SSL).
  Overrides:
    accept in class ThreadedServer
  Parameters:
    `p_serverSocket` -
  Returns:
  Throws:
    java.io.IOException -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD